<div {{did-insert this.setupParameters}}>
  {{#each this.parameters as |parameter|}}
    <Input::Options::ModelParameterField
      @team={{@team}}
      @onChange={{fn this.change parameter.name}}
      @value={{parameter.value}}
      @title={{parameter.name}}
      @selectedModel={{@model.selectedType}}
      @modelName={{this.modelName}}
      @field={{parameter.name}}
      class="mb-3"
    />
  {{/each}}
</div>